# Software requirements specification

## Problem

The problem that we are trying to fix is that a cinema should have a way for customers to book their seats online. If a cinema does not have a system like this people cannot buy tickets online and this will reduce sales. We are trying to create a system that would create more sales for the cinema with less work for the workers.


## Who are we developing it for?

Cinema Companies, Customers, Cinema Employees

## Functional requirements

| Type     | Group    | Description                                                                    |
| -------- | -------- | ------------------------------------------------------------------------------ |
| Required | Customer | Users must be able to book a ticket to a specific movie.                       |
| Required | Customer | Users must be able to create an account.                                       |
| Required | Customer | Users must be able to book seats.                                              |
| Required | Customer | Users must be able to book a ticket to the theater of their choice.            |
| Required | Customer | Users must be able to check in at the cinema.                                  |
| Required | Employee | Employees must be able to see reserved tickets.                                |
| Required | Employee | Employees must be able to see reserved tickets.                                |
| Required | Employee | Employees must be able to book tickets for guests at the counter.              |
| Optional | Customer | Users could be able to book snacks online.                                     |
| Optional | Employee | Employees could be able to see snack orders.                                   |
| Optional | Employee | Employees could be able to track the total tickets sold.                       |
| Optional | Customer | Users should be able to see a trailer of the movies.                           |
| Optional | Employee | Employees should be able to create a timetable for what movie is showing when. |




## Non-functional requirements

| Type        | Description                             |
| ----------- | --------------------------------------- |
| Performance | Query times should be under 10 seconds. |
| Software    | Microsoft SQL server                    |
| Software    | Microsoft Azure                         |
| Security    | Firewall                                |
| Security    | Password                                |
| Security    | Username                                |
